using ProjectPatientAccounting.Entities;
namespace ProjectPatientAccounting.Repositories;

public interface IDoctorRepository
{
    IEnumerable<Doctor> ReadDoctors();

    Doctor ReadDoctorById(int id);

    void CreateDoctor(Doctor doctor);

    void UpdateDoctor(Doctor doctor);

    void DeleteDoctor(int id);
}
